<template>
  <Main/>
</template>

<script>
import Main from './components/main'

export default {
  name: 'all',
  components: {
    Main
  },
  data () {
    return {}
  },
  activated () {
    this.$nextTick(() => {
      this.$refreshTitle('妥妥推手')
    })
  },
  beforeRouteLeave (to, from, next) {
    if (['partnerCustomer', 'partnerGoods', 'partnerSale', 'partnerMine'].includes(to.name)) {
      from.meta.isUseCache = true
    }
    this.$store.dispatch('business/setDefaultNav', from.path)
    next()
  }
}
</script>

<style lang="scss" scoped>

</style>
